Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.admin
Class LinkBuilder.LinkInfo

    java.lang.Object
      com.bea.p13n.content.admin.LinkBuilder.LinkInfo

All Implemented Interfaces:
  Cloneable

Enclosing class:
  LinkBuilder

public static class LinkBuilder.LinkInfo
extends Object
implements Cloneable

A data structure to store the link information.

Field Summary
`String` | `imageHeight` The preferred height of the image (null for none).
`String` | `imageText` The alternate text of the link image (null for none).
`String` | `imageUrl` The url of the link image (null for none).
`String` | `imageWidth` The preferred width of the image (null for none).
`String` | `target` The target of the link (null for none).
`String` | `text` The text of the link (should not be null).
`String` | `url` The url (should not be null).

Constructor Summary
`LinkBuilder.LinkInfo()`

Method Summary
`Object` | `clone()` Implement a public clone method.
`String` | `toString()` Get a string representation of this for debug purposes.
`void` | `varSubstitute(VariableFinder vars)` Do a replacement on this object using the specified variables.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### url

    public String url

  The url (should not be null).

### text

    public String text

  The text of the link (should not be null).

### target

    public String target

  The target of the link (null for none).

### imageUrl

    public String imageUrl

  The url of the link image (null for none).

### imageText

    public String imageText

  The alternate text of the link image (null for none).

### imageWidth

    public String imageWidth

  The preferred width of the image (null for none).

### imageHeight

    public String imageHeight

  The preferred height of the image (null for none).

Constructor Detail

### LinkBuilder.LinkInfo

    public LinkBuilder.LinkInfo()

Method Detail

### toString

    public String toString()

  Get a string representation of this for debug purposes.

### varSubstitute

    public void varSubstitute(VariableFinder vars)

  Do a replacement on this object using the specified variables.

### clone

    public Object clone()

  Implement a public clone method.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved